#ifndef GPXI3132_HEADER
#define GPXI3132_HEADER

/*-------------------------------------------------------------------------*/
/* Defines                                                                 */
/*-------------------------------------------------------------------------*/
#define K_DLL_VERSION	150     // Version 1.50

#define K_DEV_MAX		16

/*-------------------------------------------------------------------------*/
/* Typedefs                                                                */
/*-------------------------------------------------------------------------*/
typedef struct
	{
	unsigned long Version;
	unsigned char DevCount;
	unsigned char DevIndexes[K_DEV_MAX];
	} GPxi3132_StructDriverInfo;


/******************************************
 * Goepel function
 *****************************************/
#ifdef __EXPORT_DLL	// creating DLL
	#define INTEGRATION_MODE	__declspec(dllexport)
#else				// using in customer application
	#define INTEGRATION_MODE	__declspec(dllimport)
#endif

#ifdef __cplusplus
	extern "C" {
#endif

INTEGRATION_MODE	int GPxi3132_GetDriverInfo(
													GPxi3132_StructDriverInfo*	pDriverInfo);
INTEGRATION_MODE	int GPxi3132_SetRelayConf(
													unsigned int	Device,
													unsigned int	RelVal);
INTEGRATION_MODE	int GPxi3132_SetRelayConfMask(	
													unsigned int	Device,
													unsigned int	RelMask,
													unsigned int	RelVal);
INTEGRATION_MODE	int GPxi3132_GetRelayConf(
													unsigned int	Device,
													unsigned int	*RelVal);
INTEGRATION_MODE	int GPxi3132_UpdateRelay(
													unsigned int	Device);
INTEGRATION_MODE	int GPxi3132_DLL_Version(
													unsigned int	*pVersion);

#ifdef __cplusplus
	}
#endif

#endif